Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class ChartPaper3DInfo

    java.lang.Object
      jet.report.xls.ChartPaperInfo
          jet.report.xls.ChartPaper3DInfo

    public class ChartPaper3DInfo

extends ChartPaperInfo

Contains the information of chart paper in the file.

Constructor Summary
`ChartPaper3DInfo()` Creates a `ChartPaper3DInfo` object with the default parameter.
`ChartPaper3DInfo(int x, int y, int width, int height, ChartAreaInfo paperAreaInfo, LineFormatInfo gridX, LineFormatInfo gridY, LineFormatInfo gridZ, AreaFormatInfo wall, AreaFormatInfo floor, AxisInfo xAxisInfo, YAxisInfo yAxisInfo, AxisInfo zAxisInfo)` Constructs a `ChartPaper3DInfo` object with these parameters:

Method Summary
`AreaFormatInfo` | `getFloor()` Gets the information of chart floor.
`LineFormatInfo` | `getGridZ()` Gets the information of gridline of z axis
`AxisInfo` | `getZAxis()` Gets the information of z axis.
`void` | `setFloor(AreaFormatInfo floor)` Sets the information of chart floor
`void` | `setGridZ(LineFormatInfo gridZ)` Sets the information of gridline of z axis.
`void` | `setZAxis(AxisInfo zAxis)` Sets the information of z axis.

Methods inherited from class jet.report.xls.ChartPaperInfo
`getGridX, getGridY, getHeight, getPaperArea, getWall, getWidth, getX, getXAxis, getY, getYAxis, setGridX, setGridY, setHeight, setPaperArea, setWall, setWidth, setX, setXAxis, setY, setYAxis`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChartPaper3DInfo

    public ChartPaper3DInfo()

  Creates a `ChartPaper3DInfo` object with the default parameter.

### ChartPaper3DInfo

    public ChartPaper3DInfo(int x,
                            int y,
                            int width,
                            int height,
                            ChartAreaInfo paperAreaInfo,
                            LineFormatInfo gridX,
                            LineFormatInfo gridY,
                            LineFormatInfo gridZ,
                            AreaFormatInfo wall,
                            AreaFormatInfo floor,
                            AxisInfo xAxisInfo,
                            YAxisInfo yAxisInfo,
                            AxisInfo zAxisInfo)

  Constructs a `ChartPaper3DInfo` object with these parameters:

  Parameters:
    `x` - the x-position of upper-left corner on chart paper
    `y` - The y-position of upper-left corner on chart paper
    `width` - width of the chart paper
    `height` - height of the chart paper
    `paperAreaInfo` - the information of the chart paper
    `gridX` - the information of the gridline in x axis
    `gridY` - the information of the gridline in y axis
    `gridZ` - the information of the gridline in z axis
    `wall` - the information of chart wall
    `floor` - the information of chart floor
    `xAxisInfo` - the information of x axis
    `yAxisInfo` - the information of y axis
    `zAxisInfo` - the information of z axis

Method Detail

### setGridZ

    public void setGridZ(LineFormatInfo gridZ)

  Sets the information of gridline of z axis.

  Parameters:
    `gridZ` - the information of gridline of z axis

### getGridZ

    public LineFormatInfo getGridZ()

  Gets the information of gridline of z axis

  Returns:
    the information of gridline of z axis

### setFloor

    public void setFloor(AreaFormatInfo floor)

  Sets the information of chart floor

  Parameters:
    `floor` - the information of chart floor

### getFloor

    public AreaFormatInfo getFloor()

  Gets the information of chart floor.

  Returns:
    the information of chart floor

### setZAxis

    public void setZAxis(AxisInfo zAxis)

  Sets the information of z axis.

  Parameters:
    `zAxis` - the information of z axis

### getZAxis

    public AxisInfo getZAxis()

  Gets the information of z axis.

  Returns:
    the information of z axis

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD